import env from '@/lib/env'
import { NextRequest, NextResponse } from 'next/server'

export async function POST(req: NextRequest) {
  const { token, userId } = await req.json()
  if (userId === undefined) {
    if (token === env('MARKCARD_TOKEN')) {
        return NextResponse.json({ validate: true }, { status: 200 })
    }
  }
  return NextResponse.json({ validate: false }, { status: 401 })
}
